# Uses of Interface
org.eclipse.ecf.core.sharedobject.util.IQueueEnqueue

Packages that use IQueueEnqueue
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.util
org.eclipse.ecf.provider.generic

## Uses of IQueueEnqueue in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return IQueueEnqueue
Modifier and Type
Method
Description
`IQueueEnqueue`
ISharedObjectContext.`getQueue()`
Get the IQueueEnqueue instance associated with this ISharedObject.

## Uses of IQueueEnqueue in org.eclipse.ecf.core.sharedobject.util

Subinterfaces of IQueueEnqueue in org.eclipse.ecf.core.sharedobject.util
Modifier and Type
Interface
Description
`interface`
`IQueue`
Queue that includes both enqueue (`IQueueEnqueue`) and dequeue (`IQueueDequeue`) operations
Classes in org.eclipse.ecf.core.sharedobject.util that implement IQueueEnqueue
Modifier and Type
Class
Description
`class`
`QueueEnqueueImpl`

## Uses of IQueueEnqueue in org.eclipse.ecf.provider.generic

Fields in org.eclipse.ecf.provider.generic declared as IQueueEnqueue
Modifier and Type
Field
Description
`protected IQueueEnqueue`
SOContext.`queue`
Methods in org.eclipse.ecf.provider.generic that return IQueueEnqueue
Modifier and Type
Method
Description
`IQueueEnqueue`
SOContext.`getQueue()`
Methods in org.eclipse.ecf.provider.generic with parameters of type IQueueEnqueue
Modifier and Type
Method
Description
`protected SOContext`
SOContainer.`createRemoteSharedObjectContext(SOConfig soconfig, IQueueEnqueue queue)`
`protected SOContext`
SOContainer.`createSharedObjectContext(SOConfig soconfig, IQueueEnqueue queue)`
`protected void`
SOConfig.`makeActive(IQueueEnqueue queue)`
Constructors in org.eclipse.ecf.provider.generic with parameters of type IQueueEnqueue
Modifier
Constructor
Description
``
`SOConnector(ID sender, ID[] recv, IQueueEnqueue[] queues)`
``
`SOContext(ID objID, ID homeID, SOContainer cont, Map props, IQueueEnqueue queue)`